/*
Tibisay Movil

Copyright (C) 2013 Antonio Araujo (aaraujo@cenditel.gob.ve), Jose Ruiz 
(jruiz@cenditel.gob.ve), Fundacion Centro Nacional de Desarrollo e 
Investigacion en Tecnologias Libres - CENDITEL.

La Fundación CENDITEL concede permiso para usar, copiar, distribuir y/o 
modificar este programa, reconociendo el derecho que la humanidad posee al
libre acceso al conocimiento, bajo los términos de la licencia de software 
GPL versión 2.0 de la Free Software Foundation.

Este programa se distribuye con la esperanza de que sea util, pero SIN
NINGUNA GARANTIA; tampoco las implicitas garantias de MERCANTILIDAD o
ADECUACION A UN PROPOSITO PARTICULAR.

Para mayor información sobre los términos de la licencia ver el archivo 
llamado "gpl-2.0.txt" en ingles.
*/

package ve.gob.cenditel.tibisaymovil;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import android.net.Uri;

/**
 * Utilities for type conversions.
 *
 * @author José M. Prieto (jmprieto@emergya.com)
 */
public class TypeUtils {

    public static ArrayList<Uri> convertToUriArrayList(List<File> files) {
        ArrayList<Uri> uris = new ArrayList<Uri>(files.size());
        for (File f : files) {
            uris.add(Uri.fromFile(f));
        }
        return uris;
    }

    public static ArrayList<String> convertToStringArrayList(List<File> files) {
        ArrayList<String> list = new ArrayList<String>(files.size());
        for (File f : files) {
            list.add(f.getAbsolutePath());
        }
        return list;
    }

    public static List<File> convertToFileList(ArrayList<String> list) {
        ArrayList<File> res = new ArrayList<File>(list.size());
        for (String f : list) {
            res.add(new File(f));
        }
        return res;
    }
}
